<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: tinyxml2::MemPool Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classtinyxml2_1_1_mem_pool.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtinyxml2_1_1_mem_pool-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">tinyxml2::MemPool Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tinyxml2::MemPool:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtinyxml2_1_1_mem_pool.png" usemap="#tinyxml2::MemPool_map" alt=""/>
  <map id="tinyxml2::MemPool_map" name="tinyxml2::MemPool_map">
<area href="classtinyxml2_1_1_mem_pool_t.html" alt="tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLElement) &gt;" shape="rect" coords="0,56,316,80"/>
<area href="classtinyxml2_1_1_mem_pool_t.html" alt="tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLAttribute) &gt;" shape="rect" coords="326,56,642,80"/>
<area href="classtinyxml2_1_1_mem_pool_t.html" alt="tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLText) &gt;" shape="rect" coords="652,56,968,80"/>
<area href="classtinyxml2_1_1_mem_pool_t.html" alt="tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLComment) &gt;" shape="rect" coords="978,56,1294,80"/>
<area href="classtinyxml2_1_1_mem_pool_t.html" alt="tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;" shape="rect" coords="1304,56,1620,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9101a0083d7370c85bd5aaaba7157f84" id="r_a9101a0083d7370c85bd5aaaba7157f84"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9101a0083d7370c85bd5aaaba7157f84">MemPool</a> ()</td></tr>
<tr class="separator:a9101a0083d7370c85bd5aaaba7157f84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55ad9e3faeca702e6ccbb38fdbcad72" id="r_ae55ad9e3faeca702e6ccbb38fdbcad72"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae55ad9e3faeca702e6ccbb38fdbcad72">~MemPool</a> ()</td></tr>
<tr class="separator:ae55ad9e3faeca702e6ccbb38fdbcad72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c518d49e3a94bde566f61e13b7240bb" id="r_a0c518d49e3a94bde566f61e13b7240bb"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0c518d49e3a94bde566f61e13b7240bb">ItemSize</a> () const =0</td></tr>
<tr class="separator:a0c518d49e3a94bde566f61e13b7240bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38227917fac8d37181e2fa83c65d9b1e" id="r_a38227917fac8d37181e2fa83c65d9b1e"><td class="memItemLeft" align="right" valign="top">virtual void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a38227917fac8d37181e2fa83c65d9b1e">Alloc</a> ()=0</td></tr>
<tr class="separator:a38227917fac8d37181e2fa83c65d9b1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49e3bfac2cba2ebd6776b31e571f64f7" id="r_a49e3bfac2cba2ebd6776b31e571f64f7"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a49e3bfac2cba2ebd6776b31e571f64f7">Free</a> (void *)=0</td></tr>
<tr class="separator:a49e3bfac2cba2ebd6776b31e571f64f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5804dd1387b2e4de5eef710076a0db1" id="r_ac5804dd1387b2e4de5eef710076a0db1"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac5804dd1387b2e4de5eef710076a0db1">SetTracked</a> ()=0</td></tr>
<tr class="separator:ac5804dd1387b2e4de5eef710076a0db1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9101a0083d7370c85bd5aaaba7157f84" name="a9101a0083d7370c85bd5aaaba7157f84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9101a0083d7370c85bd5aaaba7157f84">&#9670;&#160;</a></span>MemPool()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::MemPool::MemPool </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae55ad9e3faeca702e6ccbb38fdbcad72" name="ae55ad9e3faeca702e6ccbb38fdbcad72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae55ad9e3faeca702e6ccbb38fdbcad72">&#9670;&#160;</a></span>~MemPool()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual tinyxml2::MemPool::~MemPool </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a38227917fac8d37181e2fa83c65d9b1e" name="a38227917fac8d37181e2fa83c65d9b1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38227917fac8d37181e2fa83c65d9b1e">&#9670;&#160;</a></span>Alloc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void * tinyxml2::MemPool::Alloc </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a334b67f5bd878b2b3c1746ebd240590a">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a334b67f5bd878b2b3c1746ebd240590a">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLAttribute) &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a334b67f5bd878b2b3c1746ebd240590a">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLComment) &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a334b67f5bd878b2b3c1746ebd240590a">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLElement) &gt;</a>, and <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a334b67f5bd878b2b3c1746ebd240590a">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLText) &gt;</a>.</p>

</div>
</div>
<a id="a49e3bfac2cba2ebd6776b31e571f64f7" name="a49e3bfac2cba2ebd6776b31e571f64f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49e3bfac2cba2ebd6776b31e571f64f7">&#9670;&#160;</a></span>Free()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tinyxml2::MemPool::Free </td>
          <td>(</td>
          <td class="paramtype">void *</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a408ce0918e9d3d5e5e1cc4896944875f">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a408ce0918e9d3d5e5e1cc4896944875f">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLAttribute) &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a408ce0918e9d3d5e5e1cc4896944875f">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLComment) &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a408ce0918e9d3d5e5e1cc4896944875f">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLElement) &gt;</a>, and <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a408ce0918e9d3d5e5e1cc4896944875f">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLText) &gt;</a>.</p>

</div>
</div>
<a id="a0c518d49e3a94bde566f61e13b7240bb" name="a0c518d49e3a94bde566f61e13b7240bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c518d49e3a94bde566f61e13b7240bb">&#9670;&#160;</a></span>ItemSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual int tinyxml2::MemPool::ItemSize </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a54e4d9b343459ef1731314a99877ff35">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a54e4d9b343459ef1731314a99877ff35">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLAttribute) &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a54e4d9b343459ef1731314a99877ff35">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLComment) &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a54e4d9b343459ef1731314a99877ff35">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLElement) &gt;</a>, and <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a54e4d9b343459ef1731314a99877ff35">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLText) &gt;</a>.</p>

</div>
</div>
<a id="ac5804dd1387b2e4de5eef710076a0db1" name="ac5804dd1387b2e4de5eef710076a0db1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5804dd1387b2e4de5eef710076a0db1">&#9670;&#160;</a></span>SetTracked()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tinyxml2::MemPool::SetTracked </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aee3c611215ae08cce41a940bf2763027">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aee3c611215ae08cce41a940bf2763027">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLAttribute) &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aee3c611215ae08cce41a940bf2763027">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLComment) &gt;</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aee3c611215ae08cce41a940bf2763027">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLElement) &gt;</a>, and <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aee3c611215ae08cce41a940bf2763027">tinyxml2::MemPoolT&lt; sizeof(tinyxml2::XMLText) &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/inc/<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacetinyxml2.html">tinyxml2</a></li><li class="navelem"><a class="el" href="classtinyxml2_1_1_mem_pool.html">MemPool</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
